@import url('https://fonts.googleapis.com/css2?family=Inter+Tight:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Inter Tight", sans-serif;
    border: none;
    outline: none;
    text-decoration: none;
    color: var(--primary-text);
}

:root {
    --primary: #01ffa6;
    --primary-text: #171717;
    --bg: #ededed;
    --bg2: #f4f4f4;
    --sub-text: #747474;
    --border: 1px solid #171717;
    --border-lite: 1px solid #dedede;
    --light: #ffffff;
}

[class*="grid"] {
    display: grid;
}

.align-center {
    align-items: center;
}

html {
    font-size: 62.5%;
    scroll-behavior: smooth;
    scroll-padding-top: 10rem;
}

body {
    -webkit-text-size-adjust: 100%;
    background: var(--bg);
}

i svg {
    width: unset;
    height: 1.8rem;
    fill: var(--light);
}

p,
a,
input,
select,
textarea,
button {
    font-size: 1.6rem;
    font-weight: 500;
}

p {
    color: var(--sub-text);
    line-height: 1.8;
}

h1,
h2,
h3 {
    text-transform: capitalize;
}

img,
video {
    max-width: 100%;
}

.container {
    max-width: 1240px;
    padding: 0 2rem;
    margin: auto;
    width: 100%;
}

.container-max {
    max-width: 1540px;
    padding: 0 2rem;
    margin: auto;
    width: 100%;
}

button,
.btn {
    height: 5.5rem;
    cursor: pointer;
    background: var(--primary);
    border-radius: 5rem;
    padding: 0 2rem;
    position: relative;
    overflow: hidden;
}

button .center {
    display: flex;
    align-items: center;
    gap: 1rem;
}

button p {
    color: var(--primary-text) !important;
    text-transform: capitalize;
    transition: 0.3s;
    font-size: 2rem;
    line-height: 1;
    white-space: nowrap;
}

button i {
    width: 3rem;
    overflow: hidden;
    transition: 0.3s;
    font-size: 2rem;
}

button i:nth-child(3) {
    width: 0rem;
    opacity: 0;
}

button:hover i:nth-child(1) {
    width: 0;
    opacity: 0;
}

button:hover i:nth-child(3) {
    width: 3rem;
    opacity: 1;
}

button.empty :is(p, i) {
    color: white !important;
}

button:hover {
    background: var(--primary);
    border-color: transparent;
}

button.empty {
    border: 1px solid white;
    background: transparent !important;
}

button i {
    color: var(--primary-text) !important;
}

section {
    padding: 8rem 0;
}

/* header section */
header {
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    z-index: 99999;
    background: #ffffff;
    padding: 0rem 5rem;
    height: 10rem;
}

.logo img {
    height: 10rem;
}

header .container {
    height: 100%;
    max-width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 3rem;
    padding: 0;
}

header .links {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 3rem;
}

header .links a {
    transition: 0.3s;
    white-space: nowrap;
}

header .links a:hover {
    color: var(--primary);
}

header .cta {
    display: flex;
    align-items: center;
    gap: 1rem;
    justify-content: flex-end;
}

.menu {
    font-size: 3rem;
    display: none;
}

main {
    height: 100dvh;
    width: 100%;
    background: linear-gradient(90deg, #000000d1, #00000093), url(images/bg1.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    overflow: hidden;
    display: flex;
    align-items: flex-end;
}

main .container {
    margin: unset;
    padding: 5rem;
}


main .content {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
    max-width: 70rem;
    width: 100%;
}

main .content :is(h1, h2, p) {
    color: white;
}

.content h1 {
    font-size: 5rem;
    line-height: 1.2;
}

.content p {
    font-size: 1.6rem;
}

.buttons {
    display: flex;
    gap: 1.5rem;
}

.title {
    margin-bottom: 5rem;
}

.title h2 {
    font-size: 5rem;
}

.service {
    display: flex;
    gap: 1.5rem;
}

.service .card {
    width: 100%;
    height: 30rem;
    overflow: hidden;
    flex: 1;
    transition: 0.3s;
    position: relative;
}

.service .card .tag {
    padding: 0.8rem 1.5rem;
    font-size: 1.5rem;
    position: absolute;
    left: 1rem;
    bottom: 1rem;
    z-index: 1;
    background: var(--primary);
    font-weight: 500;
}

.service .card img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
}

.service .card:hover {
    flex: 2;
}

section.bg {
    width: 100%;
    height: 60dvh;
    padding: 5rem 0;
    background: linear-gradient(90deg, #000000d1, #00000093), url(images/bg2.jpg);
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    overflow: hidden;
    display: flex;
    align-items: flex-end;
}

section.bg .container {
    margin: unset;
    padding: 5rem;
}

section.bg .content {
    max-width: 70rem;
}

section.bg .content p {
    color: white;
}

section .content h2 {
    font-size: 5rem;
    color: white;
}


.company-wraper {
    display: flex;
    flex-direction: column
}

.company-wraper .company {
    padding: 2rem 0;
    border-bottom: var(--border-lite);
}

.company-wraper .company:first-child {
    border-top: var(--border-lite)
}

.company-wraper .company {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 5rem;
    gap: 5rem;
    align-items: flex-start
}

.flex {
    gap: 3rem
}

.ico,
.flex {
    display: flex;
    align-items: center
}

.ico {
    width: 5rem;
    aspect-ratio: 1/1;
    border-radius: 50%;
    justify-content: center;
    border: var(--border);
}

.ico i {
    font-size: 3rem
}

.company h5 {
    font-size: 3.5rem;
    font-weight: 400
}

.company h3 {
    font-size: 2rem;
    font-weight: 500;
    line-height: 1.5;
    text-transform: unset;
    display: flex;
    align-items: center;
    gap: 1rem;
}

.list a {
    text-decoration: underline;
}

.company .list {
    display: flex;
    flex-direction: column;
    gap: 1.5rem
}

.company .list .item {
    flex-direction: column;
    align-items: flex-start;
    gap: 0
}

.company .list .item i {
    font-size: 3rem
}

.company .list .item p,
.company button {
    color: var(--primary-text)
}

.title-1 {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 5rem;
    margin-bottom: 5rem;
}

.title-1 h2 {
    font-size: 5rem;
}

.grid-3 {
    grid-template-columns: repeat(3, 1fr);
    gap: 1.5rem;
}

.card-2 {
    width: 100%;
    background: white;
    padding: 3rem;
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}

.card-2 h3 {
    font-size: 3rem;
}

.card-2 .ico {
    background: var(--primary);
}

section.bg-2 {
    background: var(--primary-text);
}

section.bg-2 :is(h2, .title p) {
    color: var(--light);
}

/* form */
.form {
    position: relative
}

form {
    background: white;
    width: 70%;
    margin-left: auto;
    padding: 5rem 5rem 5rem calc(10% + 5rem)
}

.form-card,
form {
    border-radius: 2rem
}

.form-card {
    width: 40%;
    position: absolute;
    background: var(--primary);
    left: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 3rem;
    padding: 3rem;
    top: 50%;
    transform: translateY(-50%);
    box-shadow: inset 0 1px 1px 0 hsla(0, 0%, 100%, .1), 0 50px 100px -20px rgba(50, 50, 93, .25), 0 30px 60px -30px rgba(0, 0, 0, .3)
}

.form-card small {
    color: var(--primary-text);
    font-size: 2rem;
    font-weight: 400;
    display: block;
    margin-bottom: 1.5rem
}

.form-card img {
    height: 15rem
}

.form-card h2 {
    font-size: 3rem;
    text-transform: capitalize;
    font-weight: 600;
    line-height: 1.3
}

input {
    color: var(--primary-text);
    padding: 3.5rem 0rem 2rem;
    width: 100%
}

.fild,
input {
    background: none
}

.fild {
    position: relative;
    border-bottom: 1px solid #000
}

.fild label {
    color: var(--sub-text);
    font-size: 1.6rem;
    left: 0;
    line-height: 1;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    transition: .3s;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none
}

.fild input:-webkit-autofill~label,
.fild input:focus~label,
.fild input:not(:placeholder-shown)~label {
    color: var(--primary-text);
    font-size: 1.3rem;
    top: 1.5rem
}

.form .row {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 3rem;
    gap: 3rem;
    margin-bottom: 1.5rem
}

.form textarea {
    height: 13rem;
    width: 100%;
    background: none;
    color: var(--primary-text);
    margin-top: 1.5rem;
    border-bottom: 1px solid #000;
    padding: 1.5rem 0;
    resize: none
}

.form textarea::placeholder {
    color: var(--sub-text)
}

.form button {
    background: #000;
    color: var(--light);
    margin-top: 5rem
}

footer {
    background: var(--primary-text);
    padding: 3rem 0;
    text-align: center;
    font-size: 1.6rem;
}

@media (max-width: 1024px) {
    html {
        font-size: 50%;
    }
}

@media (max-width: 720px) {
    html {
        font-size: 62%;
    }

    /* nav bar */
    header .container {
        justify-content: space-between;
    }

    header .bars span {
        width: 3.5rem;
        height: 2px;
        background: var(--primary-text);
        display: block;
        border-radius: 1rem;
        transition: 0.3s;
    }

    header .bars span:nth-child(2) {
        width: 2.5rem;
    }

    header .bars span:nth-child(3) {
        width: 3rem;
    }

    header .bars {
        display: flex;
        flex-direction: column;
        gap: 0.8rem;
    }

    header.active .menu .bars span {
        width: 3.5rem;
        transition: 0.3s;
    }

    header.active .links {
        transform: translateX(0);
    }

    .menu {
        display: block;
    }

    header {
        width: 100%;
        border-radius: 0;
        top: 0;
        height: 8rem;
        padding: 0 2rem;
    }

    header .links {
        position: fixed;
        flex-direction: column;
        background: var(--primary);
        width: 100%;
        height: calc(100vh - 8rem);
        top: 8rem;
        left: 0;
        align-items: center;
        justify-content: center;
        transform: translateX(-110%);
        transition: 0.3s;
    }

    header.active .links {
        transform: translateX(0);
        transition: 0.3s;
    }

    header .links a {
        color: var(--primary-text);
    }

    main .content h1 {
        font-size: 3rem;
    }

    .company h5 {
        font-size: 2.5rem;
    }

    .company-wraper .company {
        gap: 1.5rem;
    }

    .title h2 {
        font-size: 3rem;
        text-align: center;
    }

    [class*="grid"] {
        grid-template-columns: 1fr !important;
    }

    main .container {
        padding: 5rem 1.5rem;
    }

    section.bg .container {
        padding: 0 1.5rem;
    }

    .service {
        flex-direction: column;
    }

    .title-1 {
        grid-template-columns: 1fr;
        gap: 1.5rem;
    }

    .company-wraper .company {
        grid-template-columns: 1fr;
    }

    .form-card {
        transform: unset;
        top: unset;
        left: 50%;
        transform: translateX(-50%);
        position: relative;
        width: 100%;
        gap: 1.5rem;
        box-shadow: unset;
        background: var(--primary);
        border-bottom-right-radius: 0;
        border-bottom-left-radius: 0;
        text-align: center
    }

    form button {
        width: 100%
    }

    .form-card :is(small, h2) {
        color: var(--primary-text)
    }

    .form-card img {
        display: none
    }

    form {
        padding: 3rem;
        width: 100%;
        border-top-left-radius: 0;
        border-top-right-radius: 0
    }

    .form-card h2 {
        font-size: 2.5rem;
        line-height: 1.2
    }

    .form-card img {
        height: 5rem
    }

    .form .row {
        grid-template-columns: 1fr;
        gap: 1.5rem
    }

    input {
        padding: 2.5rem 1.5rem 2rem
    }

    section.bg {
        height: 100%;
    }

    main {
        min-height: 60rem;
    }

    .card-2 h3 {
        font-size: 2.3rem;
    }

    .card-2 {
        padding: 2rem;
    }

    .title-1 h2 {
        font-size: 3rem;
    }
}